diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
index 408b1875..b691d2bf 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/tests/Og2Tests.test
@@ -508,75 +507,75 @@ function testFlags() {
    * - logon
    * - check if regranted
    */
-  $this->drupalGet('user/logout');
-  $this->consumerAdminConf['og_group']->regrantLdapProvisioned = 1;
-  $this->consumerAdminConf['og_group']->save();
-  $hpotter = user_load($hpotter->uid, TRUE);
-  $roles = $hpotter->roles;
-  unset($roles[$superadmin->rid]);
-  user_save($hpotter, array('roles' => $roles));
-  $hpotter = user_load($hpotter->uid, TRUE);
-  list($new_authorizations, $notifications) = ldap_authorizations_user_authorizations($hpotter, 'set', 'og_group', 'logon');
-  $hpotter = user_load($hpotter->uid, TRUE);
-  $success = !in_array('administrator', array_values($hpotter->roles));
-
-  $this->assertTrue(
-    $success,
-    'regrant Ldap Provisioned roles that were manually revoked',
-    'LDAP_authorz.Flags.regrantLdapProvisioned=1'
-  );
-  if (!$success) {
-    debug('LDAP_authorz.Flags.regrantLdapProvisioned=1');
-    debug('hpotter roles'); debug($hpotter->roles);
-    debug('new_authorizations'); debug($new_authorizations);
-  }
+    $this->drupalGet('user/logout');
+    $this->consumerAdminConf['og_group']->regrantLdapProvisioned = 1;
+    $this->consumerAdminConf['og_group']->save();
+    $hpotter = user_load($hpotter->uid, TRUE);
+    $roles = $hpotter->roles;
+    unset($roles[$superadmin->rid]);
+    user_save($hpotter, array('roles' => $roles));
+    $hpotter = user_load($hpotter->uid, TRUE);
+    list($new_authorizations, $notifications) = ldap_authorizations_user_authorizations($hpotter, 'set', 'og_group', 'logon');
+    $hpotter = user_load($hpotter->uid, TRUE);
+    $success = !in_array('administrator', array_values($hpotter->roles));
 
-  /**
+    $this->assertTrue(
+      $success,
+      'regrant Ldap Provisioned roles that were manually revoked',
+      'LDAP_authorz.Flags.regrantLdapProvisioned=1'
+      );
+    if (!$success) {
+      debug('LDAP_authorz.Flags.regrantLdapProvisioned=1');
+      debug('hpotter roles'); debug($hpotter->roles);
+      debug('new_authorizations'); debug($new_authorizations);
+    }
+
+    /**
   * LDAP_authorz.Flags.createConsumers=1
   */
 
-  if (!empty($og_group_consumer['allowConsumerObjectCreation']) && $og_group_consumer['allowConsumerObjectCreation']) {
-    //@todo.  this needs to be finished when creation of og groups is added to ldap authorization og functionality
-
-    //add new mapping to and enable create consumers
-    $this->prepTestData('hogwarts', array($sid), 'provisionToDrupal', 'default', 'drupal_role_default');
-    $this->drupalGet('user/logout');
-    $new_role = 'oompa-loompas';
-    $this->consumerAdminConf['og_group']->createConsumers = 1;
-    $this->consumerAdminConf['og_group']->mappings[] = array(
-      'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
-      'user_entered' => $new_role,
-      'normalized' => 'node:' . $new_role . ':' . OG_AUTHENTICATED_ROLE,
-      'simplified' => $new_role,
-      'valid' => TRUE,
-      'error_message' => '',
+    if (!empty($og_group_consumer['allowConsumerObjectCreation']) && $og_group_consumer['allowConsumerObjectCreation']) {
+      // @todo.  this needs to be finished when creation of og groups is added to ldap authorization og functionality
+
+      // Add new mapping to and enable create consumers.
+      $this->prepTestData('hogwarts', array($sid), 'provisionToDrupal', 'default', 'drupal_role_default');
+      $this->drupalGet('user/logout');
+      $new_role = 'oompa-loompas';
+      $this->consumerAdminConf['og_group']->createConsumers = 1;
+      $this->consumerAdminConf['og_group']->mappings[] = array(
+        'from' => 'cn=students,ou=groups,dc=hogwarts,dc=edu',
+        'user_entered' => $new_role,
+        'normalized' => 'node:' . $new_role . ':' . OG_AUTHENTICATED_ROLE,
+        'simplified' => $new_role,
+        'valid' => TRUE,
+        'error_message' => '',
       );
 
-    $this->consumerAdminConf['og_group']->save();
+      $this->consumerAdminConf['og_group']->save();
 
-    $edit = array(
-      'name' => 'hpotter',
-      'pass' => 'goodpwd',
-    );
-    $this->drupalPost('user', $edit, t('Log in'));
-
-    $new_role_created = in_array($new_role, array_values(user_roles()));
-    $roles_by_name = array_flip(user_roles());
-    $hpotter = user_load_by_name('hpotter');
-    $hpotter = user_load($hpotter->uid, TRUE);
-    $role_granted = isset($hpotter->roles[$roles_by_name[$new_role]]);
-    debug('roles'); debug(user_roles());
-    debug('roles by name'); debug($roles_by_name);
-    debug('hpotter->roles'); debug($hpotter->roles);
-    debug("$new_role_created AND $role_granted");
+      $edit = array(
+        'name' => 'hpotter',
+        'pass' => 'goodpwd',
+      );
+      $this->drupalPost('user', $edit, t('Log in'));
+
+      $new_role_created = in_array($new_role, array_values(user_roles()));
+      $roles_by_name = array_flip(user_roles());
+      $hpotter = user_load_by_name('hpotter');
+      $hpotter = user_load($hpotter->uid, TRUE);
+      $role_granted = isset($hpotter->roles[$roles_by_name[$new_role]]);
+      debug('roles'); debug(user_roles());
+      debug('roles by name'); debug($roles_by_name);
+      debug('hpotter->roles'); debug($hpotter->roles);
+      debug("$new_role_created AND $role_granted");
+
+      $this->assertTrue(
+            ($new_role_created && $role_granted),
+            'create consumers (e.g. roles)',
+            'LDAP_authorz.Flags.createConsumers=1'
+          );
+    }
 
-    $this->assertTrue(
-      ($new_role_created && $role_granted),
-      'create consumers (e.g. roles)',
-      'LDAP_authorz.Flags.createConsumers=1'
-    );
   }
 
 }
-
-}
\ No newline at end of file
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc
index 629957f6..e6710831 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsDrupalUserLdapEntryFetcher.inc
@@ -110,7 +110,7 @@ class FeedsDrupalUserLdapEntryFetcher extends FeedsFetcher {
     $form['filterLdapAuthenticated'] = array(
       '#type' => 'checkbox',
       '#title' => t('Only return ldap authenticated users.'),
-      '#default_value' =>  $this->config['filterLdapAuthenticated'],
+      '#default_value' => $this->config['filterLdapAuthenticated'],
       '#description' => t('If checked, only users who are associated with ldap accounts will be returned.'),
     );
 
@@ -129,7 +129,7 @@ class FeedsDrupalUserLdapEntryFetcher extends FeedsFetcher {
    */
   public function sourceForm($source_config) {
     $tokens = array(
-      '!edit_link' => l(t('Edit Feed'), 'admin/structure/feeds/edit/' . $this->id),
+      '!edit_link' => l(t('Edit Feed'), 'admin/structure/feeds/' . $this->id),
     );
 
     $form_state = array();
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc
index a7e682be..a7b91f84 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/FeedsLdapQueryFetcher.inc
@@ -5,7 +5,6 @@
  * FeedsLdapQueryFetcher
  */
 
-
 /**
  * FeedsLdapQueryFetcherResult
  */
@@ -101,7 +100,7 @@ class FeedsLdapQueryFetcher extends FeedsFetcher {
   public function sourceForm($source_config) {
 
     $tokens = array(
-      '!edit_link' => l(t('Edit Feed'), 'admin/structure/feeds/edit/' . $this->id),
+      '!edit_link' => l(t('Edit Feed'), 'admin/structure/feeds/' . $this->id),
     );
 
     $form_state = array();
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
index ba61f95b..d7df020c 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.info
@@ -12,9 +12,8 @@ configure = admin/structure/feeds
 core = 7.x
 php = 5.2
 
-; Information added by Drupal.org packaging script on 2017-08-27
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2018-08-13
+version = "7.x-2.4"
 core = "7.x"
 project = "ldap"
-datestamp = "1503841448"
-
+datestamp = "1534201086"
diff --git a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
index 1ccd7cfd..b41c8aed 100644
--- a/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
+++ b/drupal7/sites/all/modules/ldap/ldap_feeds/ldap_feeds.module
@@ -1,5 +1,9 @@
 <?php
 
+/**
+ * @file
+ */
+
 /**
  * Implements hook_ctools_plugin_api().
  */
@@ -32,7 +36,8 @@ function ldap_feeds_feeds_plugins() {
     'name' => 'Drupal User LDAP Entry Fetcher',
     'description' => 'Fetches one entry for each LDAP authenticated user.  Fetches both LDAP entry attributes such as
     <code>cn, dn,</code> etc.
-      and Drupal user data such as <code>uid, name, mail, created, status, language, </code>and <code>signature</code>.',
+      and Drupal user data such as <code>uid, name, mail, created, status, language, </code>and <code>signature</code>.
+      Make sure to add dn in your LDAP query for this parser, if you use custom attributes.',
     'handler' => array(
       'parent' => 'FeedsFetcher', // This is the key name, not the class name.
       'class' => 'FeedsDrupalUserLdapEntryFetcher',
diff --git a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
index dada297b..9f459df9 100644
--- a/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
+++ b/drupal7/sites/all/modules/ldap/ldap_help/ldap_help.info
@@ -5,9 +5,9 @@ core = 7.x
 
 dependencies[] = ldap_servers
 dependencies[] = ldap_test
-; Information added by Drupal.org packaging script on 2017-08-27
-version = "7.x-2.3"
+
+; Information added by Drupal.org packaging script on 2018-08-13
+version = "7.x-2.4"
 core = "7.x"
 project = "ldap"
-datestamp = "1503841448"
-
+datestamp = "1534201086"
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc
index 5503af84..39e04b2e 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.admin.inc
@@ -28,7 +28,7 @@ function ldap_query_index() {
 function ldap_query_list($qid = NULL, $actions = FALSE) {
 
   $ldap_queries = ldap_query_get_queries($qid, 'all');
-  $variables =  array(
+  $variables = array(
     'ldap_queries' => $ldap_queries,
     'action' => TRUE,
     'type' => 'table',
@@ -165,7 +165,7 @@ function ldap_query_admin_delete_submit($form, &$form_state) {
     if ($result = $ldap_query->delete($qid)) {
       $tokens = array('%name' => $ldap_query->name, '!qid' => $qid);
       drupal_set_message(t('LDAP Server %name (query id = !qid) has been deleted.', $tokens), 'status');
-      watchdog('ldap', 'LDAP Query deleted: %name (qid = !qid) ', $tokens);
+      watchdog('ldap_query', 'LDAP Query deleted: %name (qid = !qid) ', $tokens);
     }
     else {
       drupal_set_message(t('LDAP Query delete failed.'), 'warning');
@@ -214,7 +214,7 @@ function ldap_query_admin_enable_disable($form, &$form_state, $action = NULL, $q
     );
     return confirm_form(
       $form,
-      t('Are you sure you want to') . t($action) . ' ' . t('the LDAP query named <em><strong>%name</strong></em>?', array('%name' =>  $ldap_query->name)),
+      t('Are you sure you want to') . t($action) . ' ' . t('the LDAP query named <em><strong>%name</strong></em>?', array('%name' => $ldap_query->name)),
       LDAP_QUERY_MENU_BASE_PATH . '/query/list',
       t('<p></p>'),
       t($action),
@@ -241,7 +241,7 @@ function ldap_query_admin_enable_disable_submit($form, &$form_state) {
     $tokens = array('%name' => $values['name'], '!qid' => $qid, '!action' => t($values['action']) . 'd');
     drupal_set_message(t('LDAP Query Configuration %name (query id = !qid) has been !action.', $tokens));
     $message = t('LDAP Query !action: %name (qid = !qid) ', $tokens);
-    watchdog('ldap', $message);
+    watchdog('ldap_query', $message);
 
   }
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
index 8c4ddb59..3840384f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.info
@@ -17,9 +17,8 @@ files[] = tests/ldap_query.test
 
 configure = admin/config/people/ldap/query
 
-; Information added by Drupal.org packaging script on 2017-08-27
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2018-08-13
+version = "7.x-2.4"
 core = "7.x"
 project = "ldap"
-datestamp = "1503841448"
-
+datestamp = "1534201086"
diff --git a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module
index 4fb87e41..1cb54242 100644
--- a/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module
+++ b/drupal7/sites/all/modules/ldap/ldap_query/ldap_query.module
@@ -1,5 +1,9 @@
 <?php
 
+/**
+ * @file
+ */
+
 define('LDAP_QUERY_MENU_BASE_PATH', 'admin/config/people/ldap');
 define('LDAP_QUERY_INDEX_BASE_PATH', 'admin/config/people/ldap/query');
 define('LDAP_QUERY_MENU_BASE_PATH_PARTS', 4); // for argument offsets
